/*  $Id: dom_character_data.cpp,v 1.8 2004/02/01 04:31:55 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*/

#include "Core/precomp.h"
#include "API/Core/XML/dom_character_data.h"
#include "dom_node_generic.h"

/////////////////////////////////////////////////////////////////////////////
// CL_DomCharacterData construction:

CL_DomCharacterData::CL_DomCharacterData()
{
}

CL_DomCharacterData::CL_DomCharacterData(const CL_SharedPtr<CL_DomNode_Generic> &impl) : CL_DomNode(impl)
{
}

CL_DomCharacterData::CL_DomCharacterData(CL_DomDocument &doc, unsigned short node_type)
: CL_DomNode(doc, node_type)
{
}

CL_DomCharacterData::~CL_DomCharacterData()
{
}

/////////////////////////////////////////////////////////////////////////////
// CL_DomCharacterData attributes:

unsigned long CL_DomCharacterData::get_length()
{
	return 0;
}

/////////////////////////////////////////////////////////////////////////////
// CL_DomCharacterData operations:

std::string CL_DomCharacterData::substring_data(unsigned long offset, unsigned long count)
{
	if (impl) return impl->node_value.substr(offset, count);
	return std::string();
}

void CL_DomCharacterData::append_data(const std::string &arg)
{
	if (impl) impl->node_value.append(arg);
}

void CL_DomCharacterData::insert_data(unsigned long offset, const std::string &arg)
{
	if (impl) impl->node_value.insert(offset, arg);
}

void CL_DomCharacterData::delete_data(unsigned long offset, unsigned long count)
{
	if (impl) impl->node_value.erase(offset, count);
}

void CL_DomCharacterData::replace_data(unsigned long offset, unsigned long count, const std::string &arg)
{
	if (impl) impl->node_value.replace(offset, count, arg);
}

/////////////////////////////////////////////////////////////////////////////
// CL_DomCharacterData implementation:
